{ stdenv, lib, pkgs, fetchFromGitHub, meson, ninja, wlroots, pkg-config, cmake, xorg, libdrm,
vulkan-loader, wayland, wayland-protocols, libxkbcommon, libcap, SDL2, glslang, libudev, pixman, libinput, }:

 stdenv.mkDerivation rec {
  pname = "gamescope";
  version = "3.8.4";

  src = fetchFromGitHub {
    owner = "Plagman";
    repo = pname;
    rev = version;
    sha256 = "1asgyxm05wqmcrvl9i50zx7yrg8ipw6pb5j0bzz31gn589rysgix";
    fetchSubmodules = true;
  };

  nativeBuildInputs = [
    meson
    ninja
    pkg-config
    cmake
  ];
  buildInputs = [
    (pkgs.callPackage (pkgs.fetchurl {
      name = "wlroots_13.nix";
      url = "https://raw.githubusercontent.com/NixOS/nixpkgs/c4976f356529978031f1ad2200015ad03de50cb9/pkgs/development/libraries/wlroots/default.nix";
      sha256 = "49f053124e9029a6863582940af9fefc5e3012353a6b86a2e2214dc7cf6467da";
    }) {})
    libdrm
    libxkbcommon
    vulkan-loader
    wayland
    wayland-protocols
    xorg.libX11
    xorg.libXdamage
    xorg.libXcomposite
    xorg.libXrender
    xorg.libXext
    xorg.libXxf86vm
    xorg.libXtst
    xorg.libXres
    xorg.libXi
    libcap
    SDL2
    glslang
    libudev
    pixman
    libinput
  ];
}

